Loading...
Searching...
No Matches
rpmverify_probe.c File Reference

rpmverify probe More...

`#include <stdio.h>`
`#include <string.h>`
`#include <errno.h>`
`#include <assert.h>`
`#include <limits.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <fcntl.h>`
`#include "rpm-helper.h"`
`#include <rpm/rpmfi.h>`
`#include <rpm/rpmcli.h>`
`#include <probe-api.h>`
`#include "debug_priv.h"`
`#include "probe/entcmp.h"`
`#include <probe/probe.h>`
`#include <probe/option.h>`
`#include "common/oscap_pcre.h"`
`#include "rpmverify_probe.h"`
Include dependency graph for rpmverify_probe.c:

## Data Structures

struct | rpmverify_res
struct | rpmverify_bhmap_t

## Macros

#define | RPMVERIFY_SKIP_CONFIG 0x1000000000000000
#define | RPMVERIFY_SKIP_GHOST 0x2000000000000000
#define | RPMVERIFY_RPMATTRMASK 0x00000000ffffffff
#define | RPMVERIFY_LOCK RPM_MUTEX_LOCK(&g_rpm->mutex)
#define | RPMVERIFY_UNLOCK RPM_MUTEX_UNLOCK(&g_rpm->mutex)
#define | VF_RESULT(f)
#define | FF_RESULT(f)

## Functions

int | rpmverify_probe_offline_mode_supported ()
void * | rpmverify_probe_init (void)
void | rpmverify_probe_fini (void *ptr)
int | rpmverify_probe_main (probe_ctx *ctx, void *arg)

## Variables

const rpmverify_bhmap_t | rpmverify_bhmap []

## Detailed Description

rpmverify probe

Author
  "Daniel Kopecek" dkope.nosp@m.cek@.nosp@m.redha.nosp@m.t.co.nosp@m.m

## Macro Definition Documentation

## FF_RESULT

#define FF_RESULT | ( |  | f | ) |

Value:
(res->fflags & (f) ? true : false)

## VF_RESULT

#define VF_RESULT | ( |  | f | ) |

Value:
(res->oflags & (f) ? "not performed" : (res->vflags & RPMVERIFY_FAILURES ? "not performed" : (res->vflags & (f) ? "fail" : "pass")))

## Variable Documentation

## rpmverify_bhmap

const rpmverify_bhmap_t rpmverify_bhmap[]

Initial value:
= {
{ "nolinkto", (uint64_t)RPMVERIFY_LINKTO },
{ "nomd5", (uint64_t)RPMVERIFY_MD5 },
{ "nosize", (uint64_t)RPMVERIFY_FILESIZE },
{ "nouser", (uint64_t)RPMVERIFY_USER },
{ "nogroup", (uint64_t)RPMVERIFY_GROUP },
{ "nomtime", (uint64_t)RPMVERIFY_MTIME },
{ "nomode", (uint64_t)RPMVERIFY_MODE },
{ "nordev", (uint64_t)RPMVERIFY_RDEV },
{ "noconfigfiles", RPMVERIFY_SKIP_CONFIG },
{ "noghostfiles", RPMVERIFY_SKIP_GHOST }
}